karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mikevan <mvangeert...@comcast.net>
Subject Re: How to resolve Missing Constraint: Import-Package: org.springframework.web.util; version="3.0.0"?
Date Sun, 03 Jul 2011 13:57:50 GMT
vbhasin:

This error usually arises when one bundle has an explicit relationship to a
package exported by another bundle.  To fix this, do the following:
1) ensure that the packages isn't already available within Karaf
root@karaf> exports | grep org.springframework.web.util

2) If that command doesn't return anything, then you should find the bundle
that contains the package you need, and install that into your container. 
Doing a simple search for that package on a sonatype repository should let
you see the proper bundle.

Please try this and let me know if it helps.


vbhasin wrote:
> 
> Hello:
> 
> I'm unable to activate a bundle and am getting - "could not be resolved.
> Reason: Missing Constraint: Import-Package: org.springframework.web.util;
> version="3.0.0"".
> 
> What configuration setting am I missing?
> 
> Thanks!
> 


-----
Mike Van (aka karafman)
Karaf Team (Contributor)
--
View this message in context: http://karaf.922171.n3.nabble.com/How-to-resolve-Missing-Constraint-Import-Package-org-springframework-web-util-version-3-0-0-tp3105497p3134841.html
Sent from the Karaf - User mailing list archive at Nabble.com.

Mime
View raw message